# Interface TransformationBuilder

public interface TransformationBuilder
Builder for creating WebSocket transformations.

## Method Summary

Modifier and Type
Method
Description
`Transformation`
`build(List<List<Extension.Parameter>> preferences, boolean isServer)`
Builds a transformation based on the given extension preferences.

## Method Details

### build

Transformation build(List<List<Extension.Parameter>> preferences, boolean isServer)
Builds a transformation based on the given extension preferences.

Parameters:
  `preferences` - the negotiated extension parameters
  `isServer` - true if building for the server side
Returns:
  the built transformation